Bug 804227 - Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Adrian Likins
Entitlement Bugs
: Regression
Depends On:
Blocks: 738066 804228
  Show dependency treegraph
 
Reported: 2012-03-16 18:30 EDT by John Sefler
Modified: 2012-06-20 09:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 804228 (view as bug list)
Environment:
Last Closed: 2012-06-20 09:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack trace from candlepin (4.93 KB, application/octet-stream)
2012-03-23 11:43 EDT, Ivan Necas
no flags Details

  None (edit)
Description John Sefler 2012-03-16 18:30:55 EDT
Description of problem:
After registering a new consumer, restarting rhsmcertd fails.


Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.10-1.git.6.495d07c.el6.x86_64
[root@jsefler-r63-server ~]# curl -k -u admin:admin https://jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin/status --stderr /dev/null | python -m simplejson/tool
{
    "release": "1", 
    "result": true, 
    "standalone": true, 
    "timeUTC": "2012-03-16T21:42:45.954+0000", 
    "version": "0.5.26"
}


How reproducible:

Steps to Reproduce:
[root@jsefler-r63-server ~]# subscription-manager register --username testuser1 --password password --org admin
The system has been registered with id: dd36fd5f-d067-43ab-8edc-23eb14c0f7dd 
[root@jsefler-r63-server ~]# service rhsmcertd restart
Stopping rhsmcertd                                         [  OK  ]
Starting rhsmcertd 240 1440                                [  OK  ]
[root@jsefler-r63-server ~]# 
  

[root@jsefler-r63-server ~]# tail -f /var/log/rhsm/rhsmcertd.log

Fri Mar 16 18:24:19 2012: healing check started: interval = 1440
Fri Mar 16 18:24:19 2012: cert check started: interval = 240
Fri Mar 16 18:24:24 2012: certificates updated
Fri Mar 16 18:24:25 2012: update failed (255), retry will occur on next run
                          ^^^^^^^^^^^^^
                          EXPECTED certificates updated



[root@jsefler-r63-server ~]# tail -f /var/log/rhsm/rhsm.log

2012-03-16 18:24:19,974 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-16 18:24:19,975 [INFO]  @connection.py:499 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2012-03-16 18:24:20,368 [DEBUG]  @cert_sorter.py:106 - Sorting product and entitlement cert status for: 2012-03-16 22:24:20.368578+00:00
2012-03-16 18:24:20,406 [DEBUG]  @cert_sorter.py:159 - Installed product IDs: ['100000000000060', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '27060', '917571', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000006', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '37090', '37070']
2012-03-16 18:24:20,407 [DEBUG]  @cert_sorter.py:112 - valid entitled products: []
2012-03-16 18:24:20,407 [DEBUG]  @cert_sorter.py:113 - expired entitled products: []
2012-03-16 18:24:20,407 [DEBUG]  @cert_sorter.py:114 - partially entitled products: []
2012-03-16 18:24:20,407 [DEBUG]  @cert_sorter.py:115 - unentitled products: ['100000000000006', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '27060', '37090', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000060', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '917571', '37070']
2012-03-16 18:24:20,407 [DEBUG]  @cert_sorter.py:116 - future products: []
2012-03-16 18:24:20,408 [DEBUG]  @cert_sorter.py:117 - partial stacks: []
2012-03-16 18:24:20,408 [DEBUG]  @cert_sorter.py:118 - valid stacks: []
2012-03-16 18:24:20,412 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:20,412 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:20,413 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:20,413 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:20,414 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/certificates/serials
2012-03-16 18:24:20,590 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:20,594 [INFO]  @certlib.py:194 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-16 18:24:20,603 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:20,603 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:20,603 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:20,604 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:20,605 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd
2012-03-16 18:24:20,864 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:20,868 [INFO]  @certlib.py:108 - Checking if system requires healing.
2012-03-16 18:24:20,869 [DEBUG]  @cert_sorter.py:106 - Sorting product and entitlement cert status for: 2012-03-16 22:24:20.868931+00:00
2012-03-16 18:24:20,906 [DEBUG]  @cert_sorter.py:159 - Installed product IDs: ['100000000000060', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '27060', '917571', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000006', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '37090', '37070']
2012-03-16 18:24:20,907 [DEBUG]  @cert_sorter.py:112 - valid entitled products: []
2012-03-16 18:24:20,907 [DEBUG]  @cert_sorter.py:113 - expired entitled products: []
2012-03-16 18:24:20,907 [DEBUG]  @cert_sorter.py:114 - partially entitled products: []
2012-03-16 18:24:20,907 [DEBUG]  @cert_sorter.py:115 - unentitled products: ['100000000000006', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '27060', '37090', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000060', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '917571', '37070']
2012-03-16 18:24:20,907 [DEBUG]  @cert_sorter.py:116 - future products: []
2012-03-16 18:24:20,908 [DEBUG]  @cert_sorter.py:117 - partial stacks: []
2012-03-16 18:24:20,908 [DEBUG]  @cert_sorter.py:118 - valid stacks: []
2012-03-16 18:24:20,908 [WARNING]  @certlib.py:124 - Found invalid entitlements for today: 2012-03-16 22:24:20.868931+00:00
2012-03-16 18:24:20,909 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:20,909 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:20,909 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:20,910 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:20,911 [DEBUG]  @connection.py:329 - Making request: POST /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/entitlements?entitle_date=2012-03-16T22%3A24%3A20.868931%2B00%3A00
2012-03-16 18:24:23,889 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:23,902 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:23,903 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:23,903 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:23,904 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:23,905 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/certificates/serials
2012-03-16 18:24:24,058 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:24,064 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:24,064 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:24,065 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:24,067 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:24,069 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/certificates?serials=8945368841903003107,8505404453136091583,1635585420722685226,4755447306610140523,3098499126703303732,2961741813001199786
2012-03-16 18:24:24,213 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:24,273 [INFO]  @certlib.py:194 - certs updated:
Total updates: 6
Found (local) serial# []
Expected (UEP) serial# [8945368841903003107, 8505404453136091583, 1635585420722685226, 4755447306610140523, 3098499126703303732, 2961741813001199786]
Added (new)
  [sn:8945368841903003107 (Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits,) @ /etc/pki/entitlement/8945368841903003107.pem]
  [sn:8505404453136091583 (Stackable with Awesome OS for x86_64 Bits,) @ /etc/pki/entitlement/8505404453136091583.pem]
  [sn:1635585420722685226 (Awesome OS for x86_64 Bits,) @ /etc/pki/entitlement/1635585420722685226.pem]
  [sn:4755447306610140523 (Awesome OS Workstation Bits,) @ /etc/pki/entitlement/4755447306610140523.pem]
  [sn:3098499126703303732 (Clustering Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:3098499126703303732 (Awesome OS Server Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:3098499126703303732 (Shared Storage Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:3098499126703303732 (Management Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:3098499126703303732 (Large File Support Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:3098499126703303732 (Load Balancing Bits,) @ /etc/pki/entitlement/3098499126703303732.pem]
  [sn:2961741813001199786 (Awesome OS Modifier Bits,) @ /etc/pki/entitlement/2961741813001199786.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-16 18:24:24,333 [INFO]  @certlib.py:147 - Auto-heal check complete.
2012-03-16 18:24:24,572 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-16 18:24:24,573 [INFO]  @connection.py:499 - Connection Built: host: jsefler-f14-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2012-03-16 18:24:24,833 [DEBUG]  @cert_sorter.py:106 - Sorting product and entitlement cert status for: 2012-03-16 22:24:24.833214+00:00
2012-03-16 18:24:24,876 [DEBUG]  @cert_sorter.py:159 - Installed product IDs: ['100000000000060', '1000000000000023', '1144', '100000000000011', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '27060', '917571', '1', '37069', '37068', '37080', '37065', '37067', '37060', '37062', '100000000000006', '100000000000007', '100000000000004', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '100000000000020', '100000000000022', '100000000000009', '100000000000008', '37090', '37070']
2012-03-16 18:24:24,906 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 3098499126703303732
2012-03-16 18:24:24,913 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-03-16 18:24:24,923 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 1635585420722685226
2012-03-16 18:24:24,925 [DEBUG]  @cert_sorter.py:200 -   stack ID: 1
2012-03-16 18:24:24,925 [DEBUG]  @cert_sorter.py:252 - Checking stack validity: 1
2012-03-16 18:24:24,929 [DEBUG]  @cert_sorter.py:265 -   system has 2 sockets, 3 covered by entitlements
2012-03-16 18:24:24,929 [DEBUG]  @cert_sorter.py:216 -   stack is valid
2012-03-16 18:24:24,931 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 2961741813001199786
2012-03-16 18:24:24,934 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 4755447306610140523
2012-03-16 18:24:24,935 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 2 covered by entitlement
2012-03-16 18:24:24,937 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 8505404453136091583
2012-03-16 18:24:24,939 [DEBUG]  @cert_sorter.py:200 -   stack ID: 1
2012-03-16 18:24:24,939 [DEBUG]  @cert_sorter.py:208 -   stack already found to be valid
2012-03-16 18:24:24,941 [DEBUG]  @cert_sorter.py:175 - Checking certificate: 8945368841903003107
2012-03-16 18:24:24,943 [DEBUG]  @cert_sorter.py:286 -   system has 2 sockets, 16 covered by entitlement
2012-03-16 18:24:24,947 [DEBUG]  @cert_sorter.py:112 - valid entitled products: ['1000000000000023', '100000000000002', '100000000000011', '27060', '37069', '37068', '37080', '37065', '37067', '37060', '37070']
2012-03-16 18:24:24,947 [DEBUG]  @cert_sorter.py:113 - expired entitled products: []
2012-03-16 18:24:24,947 [DEBUG]  @cert_sorter.py:114 - partially entitled products: []
2012-03-16 18:24:24,948 [DEBUG]  @cert_sorter.py:115 - unentitled products: ['100000000000060', '1', '100000000000004', '100000000000005', '100000000000003', '1144', '100000000000007', '100000000000010', '100000000000013', '100000000000012', '100000000000015', '100000000000022', '100000000000006', '100000000000009', '917571', '37090', '100000000000000', '100000000000020', '100000000000008', '100000000000001', '37062']
2012-03-16 18:24:24,948 [DEBUG]  @cert_sorter.py:116 - future products: []
2012-03-16 18:24:24,948 [DEBUG]  @cert_sorter.py:117 - partial stacks: []
2012-03-16 18:24:24,949 [DEBUG]  @cert_sorter.py:118 - valid stacks: ['1']
2012-03-16 18:24:24,977 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:24,978 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:24,979 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:24,980 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:24,981 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/certificates/serials
2012-03-16 18:24:25,115 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-16 18:24:25,142 [INFO]  @certlib.py:194 - certs updated:
Total updates: 0
Found (local) serial# [3098499126703303732L, 1635585420722685226L, 2961741813001199786L, 4755447306610140523L, 8505404453136091583L, 8945368841903003107L]
Expected (UEP) serial# [8945368841903003107, 8505404453136091583, 1635585420722685226, 4755447306610140523, 3098499126703303732, 2961741813001199786]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-16 18:24:25,148 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-16 18:24:25,148 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/jsefler-f14-candlepin.pem'
2012-03-16 18:24:25,149 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-16 18:24:25,150 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-16 18:24:25,150 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/dd36fd5f-d067-43ab-8edc-23eb14c0f7dd/release
2012-03-16 18:24:25,255 [DEBUG]  @connection.py:343 - Response status: 500
2012-03-16 18:24:25,257 [ERROR]  @rhsmcertd-worker:75 - Error while updating certificates using daemon
2012-03-16 18:24:25,259 [ERROR]  @rhsmcertd-worker:77 - Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Traceback (most recent call last):
  File "/usr/libexec/rhsmcertd-worker", line 68, in <module>
    main(options, log)
  File "/usr/libexec/rhsmcertd-worker", line 44, in main
    updates = mgr.update(options.autoheal)
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 85, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 61, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 40, in _do_update
    action = UpdateAction(uep=self.uep)
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 96, in __init__
    self.release = self.uep.getRelease(self.consumer_uuid)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 770, in getRelease
    results = self.conn.request_get(method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 387, in request_get
    return self._request("GET", method)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 348, in _request
    self.validateResponse(result)
  File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 374, in validateResponse
    raise RestlibException(response['status'], error_msg)
RestlibException: Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Comment 1 John Sefler 2012-03-16 18:37:09 EDT
This version may be important too...
[root@jsefler-r63-server ~]# rpm -q python-rhsm
python-rhsm-0.99.6-1.git.1.c5bbe91.el6.noarch
Comment 3 Adrian Likins 2012-03-21 12:41:37 EDT
commit 9d4307173b2fe17289066533d939ecdd2a1196d3
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Mar 20 16:38:00 2012 -0400

    804227,804076,804228: Handle 404's from old candlepin servers without /release
    
    The release/ystream support requires new candlepin api. If
    we get a 404 on that api, fail gracefully.
Comment 4 John Sefler 2012-03-22 10:06:43 EDT
Still failing, moving back to NEW/FailedQA...

[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.10-1.git.95.35b8500.el6.x86_64


[root@jsefler-r63-server ~]# subscription-manager register --username testuser1 --org admin
Password: 
The system has been registered with id: 54729923-2675-402e-afa8-bfd44991cf80 
[root@jsefler-r63-server ~]# service rhsmcertd restart
Stopping rhsmcertd                                         [  OK  ]
Starting rhsmcertd 240 1440                                [  OK  ]
[root@jsefler-r63-server ~]# 


# tail -f /var/log/rhsm/rhsmcertd.log
Thu Mar 22 10:01:23 2012: healing check started: interval = 1440
Thu Mar 22 10:01:23 2012: cert check started: interval = 240
Thu Mar 22 10:01:29 2012: certificates updated
Thu Mar 22 10:01:30 2012: update failed (255), retry will occur on next run
                          ^^^^^^^^^^^^^^^^^^^
                EXPECTED: certificates updated


# tail -f /var/log/rhsm/rhsm.log
2012-03-22 10:01:30,281 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/54729923-2675-402e-afa8-bfd44991cf80/release
2012-03-22 10:01:30,383 [DEBUG]  @connection.py:343 - Response status: 500
2012-03-22 10:01:30,386 [ERROR]  @rhsmcertd-worker:75 - Error while updating certificates using daemon
2012-03-22 10:01:30,387 [ERROR]  @rhsmcertd-worker:77 - Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Traceback (most recent call last):
  File "/usr/libexec/rhsmcertd-worker", line 68, in <module>
    main(options, log)
  File "/usr/libexec/rhsmcertd-worker", line 44, in main
    updates = mgr.update(options.autoheal)
  File "/usr/share/rhsm/subscription_manager/certmgr.py", line 85, in update
    updates += lib.update()
  File "/usr/share/rhsm/subscription_manager/certlib.py", line 61, in update
    return self._do_update()
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 41, in _do_update
    action = UpdateAction(uep=self.uep)
  File "/usr/share/rhsm/subscription_manager/repolib.py", line 108, in __init__
    raise e
RestlibException: Runtime Error null at org.candlepin.resource.ConsumerResource.getRelease:1,543
Comment 5 Ivan Necas 2012-03-23 11:43:24 EDT
Created attachment 572317 [details]
Stack trace from candlepin

I've hit this error as well. It seems the problem occurs, when the releaseVer is not set for the consumer. Attaching the latest output with stack from catalina.log

candlepin-0.5.26-1.fc15.noarch
subscription-manager-0.99.10-1.el6.x86_64
python-rhsm-0.99.6-1.el6.noarch
Comment 6 Adrian Likins 2012-03-23 12:52:48 EDT
commit 5c5a9e0d81b51b4856ae6e06edb39e47f0c02cae
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Mar 22 14:38:20 2012 -0400

    804227: expect a Release object instead of a bare string
    
    Fixes issues with int/string serializing from candlepin.

(and for cp)

commit cd1bfaead0063e2549e70ff00674f52b17771edc
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Mar 22 14:36:25 2012 -0400

    804227: add simple model for Release
    
    Fix cases where we could NPE with no release set
Comment 9 Shwetha Kallesh 2012-03-26 08:29:14 EDT
Verified against following RPM version:
[root@skallesh pki]# rpm -qa | grep subscription-manager
subscription-manager-debuginfo-0.99.12-1.el6.x86_64
subscription-manager-gnome-0.99.12-1.el6.x86_64
subscription-manager-0.99.12-1.el6.x86_64
subscription-manager-migration-0.99.12-1.el6.x86_64
subscription-manager-firstboot-0.99.12-1.el6.x86_64
subscription-manager-migration-data-1.12.1.1-1.git.6.ea6813e.el6.noarch

[root@skallesh pki]# rpm -qa | grep python-rhsm
python-rhsm-0.99.7-1.el6.noarch


[root@skallesh pki]# subscription-manager register --org=admin
Username: testuser1
Password: 
The system has been registered with id: 93779686-51ca-405c-8821-55a8112c6ba3 

[root@skaservice rhsmcertd restart
Stopping rhsmcertd                                         [  OK  ]
Starting rhsmcertd 240 1440                                [  OK  ]

[root@skallesh ~]# tail -f /var/log/rhsm/rhsmcertd.log
Mon Mar 26 17:43:39 2012: healing check started: interval = 1440
Mon Mar 26 17:43:39 2012: cert check started: interval = 240
Mon Mar 26 17:44:02 2012: certificates updated
Mon Mar 26 17:44:13 2012: certificates updated



[root@skallesh pki]# tail -f /var/log/rhsm/rhsm.log
2012-03-26 17:42:36,524 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:42:36,524 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:42:36,524 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:42:36,525 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/
2012-03-26 17:42:40,438 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:42:40,440 [DEBUG]  @connection.py:515 - Server supports the following resources:
2012-03-26 17:42:40,441 [DEBUG]  @connection.py:516 - {'hypervisors': '/hypervisors', 'serials': '/serials', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2012-03-26 17:42:40,441 [INFO]  @cache.py:215 - Server does not support packages, skipping profile upload.
2012-03-26 17:42:40,454 [INFO]  @cache.py:160 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2012-03-26 17:42:40,454 [INFO]  @cache.py:175 - No changes.
2012-03-26 17:43:03,353 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-26 17:43:03,354 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:43:03,355 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:03,355 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:03,355 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:03,355 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:03,356 [DEBUG]  @connection.py:329 - Making request: DELETE /candlepin/consumers/4ac18925-eb10-4a23-98bc-bab97dc67ac1
2012-03-26 17:43:06,890 [DEBUG]  @connection.py:343 - Response status: 204
2012-03-26 17:43:06,891 [INFO]  @managerlib.py:793 - Successfully un-registered.
2012-03-26 17:43:06,900 [INFO]  @cache.py:112 - Deleting cache: /var/lib/rhsm/facts/facts.json
2012-03-26 17:43:06,900 [INFO]  @cache.py:112 - Deleting cache: /var/lib/rhsm/cache/installed_products.json
2012-03-26 17:43:06,994 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:13:06.994107+00:00
2012-03-26 17:43:06,999 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:113 - valid entitled products: []
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37080', '37065', '37067', '37060', '37070', '37062']
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:43:07,000 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:43:07,001 [INFO]  @certlib.py:194 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-26 17:43:13,577 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-26 17:43:13,577 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:43:21,508 [INFO]  @connection.py:477 - Using basic authentication as: testuser1
2012-03-26 17:43:21,509 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:43:21,617 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:13:21.617007+00:00
2012-03-26 17:43:21,622 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:113 - valid entitled products: []
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37080', '37065', '37067', '37060', '37070', '37062']
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:43:21,623 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:43:21,624 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:21,624 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:21,624 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:21,624 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:21,625 [DEBUG]  @connection.py:329 - Making request: POST /candlepin/consumers?owner=admin
2012-03-26 17:43:28,442 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:28,447 [INFO]  @managerlib.py:74 - Consumer created: {'consumer_name': 'skallesh.csb', 'uuid': '93779686-51ca-405c-8821-55a8112c6ba3'}
2012-03-26 17:43:28,451 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-26 17:43:28,452 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:43:28,452 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:28,453 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:28,454 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:28,455 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:28,458 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/
2012-03-26 17:43:31,924 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:31,925 [DEBUG]  @connection.py:515 - Server supports the following resources:
2012-03-26 17:43:31,926 [DEBUG]  @connection.py:516 - {'hypervisors': '/hypervisors', 'serials': '/serials', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2012-03-26 17:43:31,926 [INFO]  @cache.py:215 - Server does not support packages, skipping profile upload.
2012-03-26 17:43:40,071 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-26 17:43:40,071 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:43:40,515 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:13:40.515209+00:00
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:113 - valid entitled products: []
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37080', '37065', '37067', '37060', '37070', '37062']
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:43:40,521 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:43:40,523 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:40,523 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:40,523 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:40,523 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:40,524 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/certificates/serials
2012-03-26 17:43:44,035 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:44,036 [INFO]  @certlib.py:194 - certs updated:
Total updates: 0
Found (local) serial# []
Expected (UEP) serial# []
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-26 17:43:44,040 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:44,041 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:44,041 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:44,041 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:44,041 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3
2012-03-26 17:43:49,177 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:49,179 [INFO]  @certlib.py:108 - Checking if system requires healing.
2012-03-26 17:43:49,179 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:13:49.179634+00:00
2012-03-26 17:43:49,185 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:43:49,185 [DEBUG]  @cert_sorter.py:113 - valid entitled products: []
2012-03-26 17:43:49,185 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:43:49,185 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:43:49,186 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37080', '37065', '37067', '37060', '37070', '37062']
2012-03-26 17:43:49,186 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:43:49,186 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:43:49,186 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:43:49,186 [WARNING]  @certlib.py:124 - Found invalid entitlements for today: 2012-03-26 12:13:49.179634+00:00
2012-03-26 17:43:49,186 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:49,187 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:49,187 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:49,187 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:49,187 [DEBUG]  @connection.py:329 - Making request: POST /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/entitlements?entitle_date=2012-03-26T12%3A13%3A49.179634%2B00%3A00
2012-03-26 17:43:55,201 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:55,206 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:55,207 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:55,207 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:55,208 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:55,210 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/certificates/serials
2012-03-26 17:43:58,596 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:43:58,599 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:43:58,600 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:43:58,600 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:43:58,600 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:43:58,600 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/certificates?serials=3537030142045341463,8116741357755467295
2012-03-26 17:44:02,446 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:44:02,459 [INFO]  @certlib.py:194 - certs updated:
Total updates: 2
Found (local) serial# []
Expected (UEP) serial# [3537030142045341463, 8116741357755467295]
Added (new)
  [sn:3537030142045341463 (Awesome OS Server Bits,) @ /etc/pki/entitlement/3537030142045341463.pem]
  [sn:8116741357755467295 (Awesome OS Modifier Bits,) @ /etc/pki/entitlement/8116741357755467295.pem]
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-26 17:44:02,467 [INFO]  @certlib.py:147 - Auto-heal check complete.
2012-03-26 17:44:02,558 [INFO]  @connection.py:488 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2012-03-26 17:44:02,559 [INFO]  @connection.py:499 - Connection Built: host: 10.65.201.177, port: 8443, handler: /candlepin
2012-03-26 17:44:02,706 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:14:02.706716+00:00
2012-03-26 17:44:02,712 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:44:02,715 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8116741357755467295
2012-03-26 17:44:02,719 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3537030142045341463
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:113 - valid entitled products: ['37060', '37080']
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37065', '37067', '37070', '37062']
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:44:02,721 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:44:02,725 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:44:02,725 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:44:02,726 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:44:02,726 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:44:02,726 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/certificates/serials
2012-03-26 17:44:05,823 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:44:05,832 [INFO]  @certlib.py:194 - certs updated:
Total updates: 0
Found (local) serial# [8116741357755467295L, 3537030142045341463L]
Expected (UEP) serial# [3537030142045341463, 8116741357755467295]
Added (new)
  <NONE>
Deleted (rogue):
  <NONE>
Expired (not deleted):
  <NONE>
Expired (deleted):
  <NONE>
2012-03-26 17:44:05,834 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:44:05,834 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:44:05,834 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:44:05,834 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:44:05,835 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/consumers/93779686-51ca-405c-8821-55a8112c6ba3/release
2012-03-26 17:44:09,216 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:44:09,250 [DEBUG]  @repolib.py:183 - Missing required tag 'TAG1', skipping content: tagged-content
2012-03-26 17:44:09,250 [DEBUG]  @repolib.py:183 - Missing required tag 'TAG2', skipping content: tagged-content
2012-03-26 17:44:09,254 [INFO]  @repolib.py:148 - repos updated: 20
2012-03-26 17:44:09,311 [DEBUG]  @cert_sorter.py:107 - Sorting product and entitlement cert status for: 2012-03-26 12:14:09.311813+00:00
2012-03-26 17:44:09,317 [DEBUG]  @cert_sorter.py:160 - Installed product IDs: ['37065', '37069', '37068', '37080', '27060', '37067', '37060', '37070', '37062']
2012-03-26 17:44:09,320 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 8116741357755467295
2012-03-26 17:44:09,321 [DEBUG]  @cert_sorter.py:176 - Checking certificate: 3537030142045341463
2012-03-26 17:44:09,323 [DEBUG]  @cert_sorter.py:113 - valid entitled products: ['37060', '37080']
2012-03-26 17:44:09,323 [DEBUG]  @cert_sorter.py:114 - expired entitled products: []
2012-03-26 17:44:09,323 [DEBUG]  @cert_sorter.py:115 - partially entitled products: []
2012-03-26 17:44:09,323 [DEBUG]  @cert_sorter.py:116 - unentitled products: ['27060', '37069', '37068', '37065', '37067', '37070', '37062']
2012-03-26 17:44:09,324 [DEBUG]  @cert_sorter.py:117 - future products: []
2012-03-26 17:44:09,324 [DEBUG]  @cert_sorter.py:118 - partial stacks: []
2012-03-26 17:44:09,324 [DEBUG]  @cert_sorter.py:119 - valid stacks: []
2012-03-26 17:44:09,324 [INFO]  @factlib.py:52 - Facts have not changed, skipping upload.
2012-03-26 17:44:09,325 [DEBUG]  @connection.py:308 - Loading CA PEM certificates from: /etc/rhsm/ca/
2012-03-26 17:44:09,325 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2012-03-26 17:44:09,325 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/candlepin-ca.pem'
2012-03-26 17:44:09,326 [DEBUG]  @connection.py:290 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2012-03-26 17:44:09,326 [DEBUG]  @connection.py:329 - Making request: GET /candlepin/
2012-03-26 17:44:13,110 [DEBUG]  @connection.py:343 - Response status: 200
2012-03-26 17:44:13,111 [DEBUG]  @connection.py:515 - Server supports the following resources:
2012-03-26 17:44:13,112 [DEBUG]  @connection.py:516 - {'hypervisors': '/hypervisors', 'serials': '/serials', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2012-03-26 17:44:13,112 [INFO]  @cache.py:215 - Server does not support packages, skipping profile upload.
2012-03-26 17:44:13,124 [INFO]  @cache.py:160 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2012-03-26 17:44:13,124 [INFO]  @cache.py:175 - No changes.
Comment 11 errata-xmlrpc 2012-06-20 09:07:48 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html

Note You need to log in before you can comment on or make changes to this bug.